UPDATE-PASSWD(8)

NAME
update-passwd - /etc/passwd, /etc/shadow und /etc/group sicher aktualisieren

ÜBERSICHT
update-passwd [Optionen]

BESCHREIBUNG
update-passwd kümmert sich um Aktualisierungen von /etc/passwd, /etc/shadow und /etc/group in laufenden Debian-Systemen. Es vergleicht die aktuellen Dateien mit Kopiervorlagen, die im Paket base-passwd verteilt werden, und aktualisiert alle Einträge in dem globalen Systembereich (d.h. 0–99).

OPTIONEN
update-passwd folgt der normalen GNU-Befehlszeilensyntax, bei der die Langform der Optionen mit zwei Minuszeichen beginnen (‘-’).

-p, --passwd-master=DATEI
    DATEI als Kopiervorlage der Passwortdatenbank verwenden. Der Standardwert ist /usr/share/base-passwd/passwd.master.

-g, --group-master=DATEI
    DATEI als Kopiervorlage der Gruppendatenbank verwenden. Der Standardwert ist /usr/share/base-passwd/group.master.

-P, --passwd=DATEI
    DATEI als Systemdatenbank von Passwd verwenden. Der Standardwert ist /etc/passwd.

-S, --shadow=DATEI
    DATEI als Systemdatenbank von Shadow verwenden. Der Standardwert ist /etc/shadow.

-G, --group=DATEI
    DATEI als System-Gruppendatenbank verwenden. Der Standardwert ist /etc/group.

-s, --sanity-check
    Nur Plausibilitätsprüfungen durchführen aber nichts ändern.

-v, --verbose
    Detaillierte Informationen über die durchgeführten Maßnahmen angeben. Ein zweites »-v« liefert zusätzliche Details.

-n, --dry-run
    Nichts durchführen, nur zeigen, was getan würde.

-L, --no-locking
    Nicht versuchen, die Datenbank zu sperren. Dies sollte nur bei der Suche nach Fehlern verwandt werden. Nochmal: Verwenden Sie dies nur, wenn Sie sich absolut sicher sind, dass Sie es benötigten!

-h, --help
    Eine Übersicht über die Verwendung von update-passwd anzeigen.

-V, --version
    Versionsnummer anzeigen

UMGEBUNG

DEBIAN_HAS_FRONTEND
    If this environment variable is set and the --dry-run flag was not given, update-passwd uses debconf to prompt for whether to make changes. Each proposed change will produce a separate prompt. User or group removals, UID or GID changes, and home directory changes will be asked with high priority. User or group additions and shell changes will be asked with medium priority. Questions about whether to move entries above the NIS compat inclusion entry or whether to change the GECOS of a user are asked at low priority.

FEHLER
Derzeit überprüft update-passwd die Shadow-Datei nicht. Es sollte prüfen, ob die Einträge in der Passwd-Datei auch in der Shadow-Datei und umgekehrt sind. Auch sollte geprüft werden, dass Passwörter nicht in beiden Dateien vorkommen.

AUTOR
Wichert Akkerman <wakkerma@debian.org>

Dieses Programm wurde für das Debian-Projekt geschrieben und unterliegt dem Copyright 1999–2002 Wichert Akkerman und 2002, 2003 Colin Watson. Es wird unter Version 2 der GNU General Public License vertrieben.

ÜBERSETZUNG
Diese Übersetzung wurde 2011 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.